%define major	3
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		kgraphviewer
Version:	2.4.3
Release:	%mkrel 5
Summary:	A GraphViz dot graph viewer for Plasma 5
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/applications/graphics/kgraphviewer
Source0:	https://download.kde.org/stable/kgraphviewer/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5Parts)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5IconThemes)

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)

BuildRequires:	desktop-file-utils
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libcgraph)

Requires:	graphviz

%description
KGraphViewer is a Graphviz DOT graph file viewer. Graphs are commonly
used in scientific domains and particularly in computer science.

Features:

  o Zooming
  o Threaded loading of several graphs in tabs
  o Saving of the recent files list
  o Manual reload of files
  o Display of a bird-eye view of the graph
  o Moving of the graph by dragging
  o Full featured printing
  o Perfect drawing of all graphviz example graphs
  o Automaticaly choose dot for directed graphs and neato for undirected
  o Possibility to use an arbitrary layout algo as soon as it produces
    xdot format
  o Automatic reloading with user confirmation of (externaly) modified
    files (configurable)
  o Open new instances as new tabs in the old one (configurable)

%files -f %{name}.lang
%{_kf5_sysconfdir}/xdg/%{name}.categories
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/kgraphviewerpart/
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_metainfodir}/org.kde.lib%{name}.metainfo.xml
%{_kf5_datadir}/config.kcfg/*.kcfg
%{_kf5_iconsdir}/hicolor/*/*/%{name}.png
%{_qt5_plugindir}/kgraphviewerpart.so
%{_kf5_services}/%{name}*.desktop
%{_kf5_datadir}/kxmlgui5/%{name}/

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains shared library for %{name}.

%files -n %{libname}
%{_kf5_libdir}/lib%{name}.so.%{major}{,.*}
%{_kf5_libdir}/lib%{name}.so.%{version}

#----------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains development files for %{name}.

%files -n %{devname}
%{_includedir}/%{name}/
%{_kf5_libdir}/libkgraphviewer.so
%{_kf5_libdir}/cmake/KGraphViewerPart/

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 2.4.3-5.mga8
+ Revision: 1658714
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 2.4.3-4.mga8
+ Revision: 1588474
- switch appdata files to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 2.4.3-3.mga8
+ Revision: 1524671
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 2.4.3-2.mga7
+ Revision: 1382396
- Qt5 Rebuild

* Wed Sep 19 2018 daviddavid <daviddavid> 2.4.3-1.mga7
+ Revision: 1266305
- new version: 2.4.3

* Sun Oct 08 2017 daviddavid <daviddavid> 2.4.2-1.mga7
+ Revision: 1170070
- new version: 2.4.2

* Sun Sep 17 2017 daviddavid <daviddavid> 2.4.0-1.mga7
+ Revision: 1154939
- initial package kgraphviewer


* Mon Nov 28 2011 Juan Luis Baptiste <juancho@mageia.org> 2.1.1-1mga2
- Cleanup for Mageia import

* Wed May 11 2011 Funda Wang <fwang@mandriva.org> 2.1.1-2mdv2011.0
+ Revision: 673596
- rebuild for new graphviz

* Mon Nov 15 2010 Funda Wang <fwang@mandriva.org> 2.1.1-1mdv2011.0
+ Revision: 597692
- new version 2.1.1
- new version 2.1

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 2.0.90-1mdv2011.0
+ Revision: 549922
- New version 2.0.90

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.0.2-5mdv2010.1
+ Revision: 438101
- rebuild

* Thu Jan 22 2009 Helio Chissini de Castro <helio@mandriva.com> 2.0.2-4mdv2009.1
+ Revision: 332662
- Update with latest tarball provided by extragear module

* Fri Jul 04 2008 Pixel <pixel@mandriva.com> 2.0.2-3mdv2009.0
+ Revision: 231503
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 30 2008 Funda Wang <fwang@mandriva.org> 2.0.2-2mdv2009.0
+ Revision: 213224
- New version 2.0.2

* Tue May 13 2008 Funda Wang <fwang@mandriva.org> 2.0.1-1mdv2009.0
+ Revision: 206552
- New version 2.0.1

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix provides // Obsoletes
    - Fix File list to fit kde4 policy
    - Rename spec file and fix spec file
    - Use new policy name

* Sat Mar 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.0-1mdv2008.1
+ Revision: 182322
- New version 2.0

* Sun Dec 30 2007 Funda Wang <fwang@mandriva.org> 1.99.1-1mdv2008.1
+ Revision: 139425
- import SOURCES and SPECS
- create kde4-kgraphviewer


* Mon Jul 10 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0.2-1 
- 1.0.2

* Sat Jun 24 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0.1-1 
- 1.0.1

* Mon May 29 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.rc1.4mdv2007.0
- Add BuildRequires

* Mon May 29 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.rc1.3
- Add requires

* Sun May 28 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.rc1.2
- Fix buildrequires

* Sun May 28 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.rc1.1
- 1.0rc1

* Tue May 23 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9-1
- 0.9

* Sun May 21 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8-1
- I don't understand how this package was created previously... => fix spec file

* Sun Apr 23 2006 Lev Givon <lev@mandriva.org> 0.3.2-1mdk
- Initial Mandriva package.

